*yunnan==1

*replace origin_code=2 if origin=="四川"
*replace origin_code=3 if origin=="广东"
*replace origin_code=4 if origin=="广西"
*replace origin_code=5 if origin=="海南"
*replace origin_code=6 if origin=="台湾"
*replace origin_code=7 if origin=="泰国"
*replace origin_code=8 if origin=="缅甸"
*replace origin_code=9 if origin=="越南"
*replace origin_code=10 if origin=="澳大利亚"
*replace origin_code=. if origin=="."

*rename fruittype variety 

*gen variety_code=. 
*replace variety_code=1 if variety=="凯特芒"
*replace variety_code=2 if variety=="台农芒"
*replace variety_code=2 if variety=="台芒"
*replace variety_code=3 if variety=="桂七芒"
*replace variety_code=4 if variety=="水仙芒果"
*replace variety_code=4 if variety=="泰国芒"
*replace variety_code=5 if variety=="爱文芒"
*replace variety_code=6 if variety=="金煌芒"
*replace variety_code=7 if variety=="金腰带"
*replace variety_code=8 if variety=="吉禄芒果"
*replace variety_code=9 if variety=="澳芒"
*replace variety_code=10 if variety=="腰芒"
*replace variety_code=11 if variety=="象牙芒"
*replace variety_code=12 if variety=="贵妃芒"
*replace variety_code=13 if variety=="青皮芒"
*replace variety_code=14 if variety=="香芒"
*replace variety_code=15 if variety=="其他"

poisson price_per_kg ln_monthlytransaction c.attributecount##c.attributecount c.imagecount##c.imagecount rating ln_commentcount packed samecity_del_24h guessweight i.origin_code i.variety_code i.month , cluster( shopname )

est store Tmall
margins , at(attributecount=(8(1)32)) vsquish
marginsplot, recast(line) recastci(rarea)

margins , at(imagecount=(1(1)48)) vsquish
marginsplot, recast(line) recastci(rarea)

margins origin_code, atmeans
margins month, atmeans




